Bug 1444995 - [RHOS]:Create snapshot button gets disabled after creating the first snapshot on an instance
Summary: [RHOS]:Create snapshot button gets disabled after creating the first snapshot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard: openstack:snapshot
Depends On: 1443446
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 17:16 UTC by Satoe Imaishi
Modified: 2017-05-31 14:58 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443446
Environment:
Last Closed: 2017-05-31 14:58:57 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 17:21:04 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a3de8d8394b94cd6bab574d7a78b84fb7df98dc7

commit a3de8d8394b94cd6bab574d7a78b84fb7df98dc7
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Mon Apr 24 08:47:33 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 13:17:56 2017 -0400

    Merge pull request #20 from tzumainn/snapshot-fix
    
    Override base snapshot concern
    (cherry picked from commit 2c0ee048d49739af115a57cce209abedc659a40e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444995

 .../openstack/cloud_manager/vm/operations.rb       |  1 +
 .../cloud_manager/vm/operations/snapshot.rb        | 34 ++++++++++++++++++++++
 .../providers/openstack/cloud_manager/vm_spec.rb   | 24 +++++++++++++++
 3 files changed, 59 insertions(+)
 create mode 100644 app/models/manageiq/providers/openstack/cloud_manager/vm/operations/snapshot.rb

Comment 3 CFME Bot 2017-04-24 17:21:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/05d4372451ade8db700eb8a92ff6cfcd7993174d

commit 05d4372451ade8db700eb8a92ff6cfcd7993174d
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Mon Apr 24 11:50:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 13:19:30 2017 -0400

    Merge pull request #24 from agrare/fix_vm_snapshot_supported_tests
    
    Fix snapshot of VM without an EMS being supported
    (cherry picked from commit 8a7cfdbe2fec31632e7421725b6311f1e5eb44b4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444995

 .../providers/openstack/cloud_manager/vm/operations/snapshot.rb     | 6 +++++-
 spec/models/manageiq/providers/openstack/cloud_manager/vm_spec.rb   | 6 ++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 4 Oleksandr Kolisnyk 2017-05-16 17:20:47 UTC
Verified 5.8.0.13-rc2

Comment 6 errata-xmlrpc 2017-05-31 14:58:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.